/*!
  \file orxonox_gui_video.h
  \brief File that holds the class that creates the Video-Options.
*/
#ifndef _ORXONOX_GUI_VIDEO_H
#define _ORXONOX_GUI_VIDEO_H

#include "orxonox_gui.h"

//! Class that creates the Video-Options.
class OrxonoxGuiVideo
{
 private:
  Frame* videoFrame;        //!< The Frame that holds the video options.
  Box* videoBox;            //!< The Box that holds the video options.
  CheckButton* fullscreen;  //!< CheckButton for fullscreen-mode
  CheckButton* wireframe;   //!< CheckButton for wireframe Mode.
 public:
  OrxonoxGuiVideo(void);
  ~OrxonoxGuiVideo(void);
  
  Widget* getWidget(void);
};
#endif /* _ORXONOX_GUI_VIDEO_H */
